## mx4j.tools.stats
Class NotificationStatisticsRecorder

    java.lang.Object
      mx4j.tools.stats.AbstractStatisticsRecorder
          mx4j.tools.stats.ObserverStatisticsRecorder
              mx4j.tools.stats.NotificationStatisticsRecorder

All Implemented Interfaces:
  java.util.EventListener, javax.management.MBeanRegistration, javax.management.NotificationListener, ObserverStatisticsRecorderMBean, StatisticsRecorderMBean

public class NotificationStatisticsRecorder
extends ObserverStatisticsRecorder
implements javax.management.NotificationListener

NotificationStatisticsRecorder records statistics of an attribute based on notifications emitted when it changes. The observed MBean has to emit notifications when the value change

Version:
  $Revision: 1.4 $

Field Summary
`protected boolean` `registered`

Fields inherited from class mx4j.tools.stats.ObserverStatisticsRecorder
`observedAttribute, observedName`

Fields inherited from class mx4j.tools.stats.AbstractStatisticsRecorder
`averageValue, count, entries, isActive, isDouble, maxEntries, maximumValue, minimumValue, recordingStart, server`

Constructor Summary
`NotificationStatisticsRecorder()`

Method Summary
`void` `handleNotification(javax.management.Notification notification, java.lang.Object object)`
`protected void` `startObserving()`
`protected void` `stopObserving()`
`java.lang.String` `toString()`

Methods inherited from class mx4j.tools.stats.ObserverStatisticsRecorder
`doStart, doStop, getObservedAttribute, getObservedObject, setObservedAttribute, setObservedObject`

Methods inherited from class mx4j.tools.stats.AbstractStatisticsRecorder
`addEntry, getAverage, getEntries, getLogger, getMax, getMaxEntries, getMin, getRecordingStart, isActive, postDeregister, postRegister, preDeregister, preRegister, setMaxEntries, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface mx4j.tools.stats.StatisticsRecorderMBean
`getAverage, getEntries, getMax, getMaxEntries, getMin, getRecordingStart, isActive, setMaxEntries, start, stop`

Field Detail

### registered

    protected boolean registered

Constructor Detail

### NotificationStatisticsRecorder

    public NotificationStatisticsRecorder()

Method Detail

### startObserving

    protected void startObserving()
                           throws java.lang.Exception

  Specified by:
    `startObserving` in class `ObserverStatisticsRecorder`
  Throws:
    `java.lang.Exception`

### stopObserving

    protected void stopObserving()
                          throws java.lang.Exception

  Specified by:
    `stopObserving` in class `ObserverStatisticsRecorder`
  Throws:
    `java.lang.Exception`

### handleNotification

    public void handleNotification(javax.management.Notification notification,
                                   java.lang.Object object)

  Specified by:
    `handleNotification` in interface `javax.management.NotificationListener`

### toString

    public java.lang.String toString()

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.